from app_instance import api

from wiz_game import the_game


@api.route("/player/{player}")
def show(req, resp, player: str):
    p = int(player)
    name = the_game.players[p].name
    tcard = the_game.trump_card
    tcolor = the_game.get_trump_color()
    table = the_game.table
    isActive = the_game.is_players_turn(p)
    resp.content = api.template('home/player.html', playerActive=isActive, player=p, cards=the_game.players[p].cards,
                                trump_card=tcard, trump_color=tcolor, played_cards=table.played_cards)


@api.route("/player/{player}/play/{card}")
def play(req, resp, player: str, card: str):
    p = int(player)
    c = int(card)
    #pl = the_game.players[p]
    #c = pl.play_card(int(card))
    #the_game.table.play_card(p, c)
    the_game.play_card(p, c)
    url = '/player/'+player
    api.redirect(resp, url, status_code=303)

